push_message
3

# push_message

push message into message queue

    #include <cds/msg_queue.h>

      int push_message
      msg_queue_t *q
      mq_message_t *msg

## Description

Function pushes initialized message into message queue. This message may be removed from the queue using `pop_message`. Unremoved messages are automatically freed by `msg_queue_destroy` (depending on message initialization, see , and ).

## Return value

Returns 0 on success, non-zero on error.

## See Also

, , ,